# mhl_waverider.py

Download latest time series data from MHL website and update local copy.

MHL keeps records for the previous seven days.

## Wave buoy locations

| Code     | Location      |
| -------- | ------------- |
| `BATBOW` | Batemans Bay  |
| `BYRBOW` | Byron Bay     |
| `COFHOW` | Coffs Harbour |
| `CRHDOW` | Crowdy Head   |
| `EDENOW` | Eden          |
| `PTKMOW` | Port Kembla   |
| `SYDDOW` | Sydney        |

## Wave buoy parameters

| Filename                           | Parameters                  |
| -----------------------------------| --------------------------- |
| `SYDDOW.Groupiness.csv.dat.txt`    | Groupiness                  |
|                                    |                             |
| `SYDDOW.SeaTemp.csv.dat.txt`       | Sea Temperature (Degrees C) |
|                                    |                             |
| `SYDDOW.WaveDirection.csv.dat.txt` | Wave Direction              |
|                                    |                             |
| `SYDDOW.WaveHeight.csv.dat.txt`    | Wave Direction              |
|                                    | Wave Height (Hsig)          |
|                                    | Wave Height (Hmax)          |
|                                    |                             |
| `SYDDOW.WaveHeight_1.csv.dat.txt`  | Wave Height (Hsig)          |
|                                    |                             |
| `SYDDOW.WavePeriod.csv.dat.txt`    | Wave Period (TP1)           |
|                                    | Wave Period (Tsig)          |
|                                    | Wave Period (Tz)            |
|                                    |                             |
| `SYDDOW.WavePeriod_1.csv.dat.txt`  | Wave Period (TP1)           |
